## r-cran-ctmcd 1.4.1

=== DESCRIPTION ===
Package: ctmcd
Type: Package
Title: Estimating the Parameters of a Continuous-Time Markov Chain from
        Discrete-Time Data
Version: 1.4.1
Date: 2019-01-02
Author: Marius Pfeuffer [aut,cre], Greig Smith [ctb], Goncalo dos Reis [ctb], Linda Moestel [ctb], Matthias Fischer [ctb]
Maintainer: Marius Pfeuffer <marius.pfeuffer@fau.de>
Description: Functions for estimating Markov generator matrices from discrete-time observations. The implemented approaches comprise diagonal adjustment, weighted adjustment and quasi-optimization of matrix logarithm based candidate solutions, an expectation-maximization algorithm as well as a Gibbs sampler.
License: GPL-3
Imports: Rcpp (>= 0.12.17), coda, expm, numDeriv
Suggests: knitr, rmarkdown, R.rsp, markovchain
LinkingTo: Rcpp, RcppArmadillo
VignetteBuilder: knitr, R.rsp
NeedsCompilation: yes
Packaged: 2019-01-02 13:10:05 UTC; Stefan
Repository: CRAN
Date/Publication: 2019-01-02 13:40:23 UTC

=== debian/changelog ===
r-cran-ctmcd (1.4.1-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:22:16 +0200

r-cran-ctmcd (1.4.1-1) unstable; urgency=medium

  * Initial release (closes: #969945)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Sep 2020 19:49:36 +0200

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ctmcd_([-\d.]*)\.tar\.gz

## r-cran-ctmcd 1.4.2

=== DESCRIPTION ===
Package: ctmcd
Type: Package
Title: Estimating the Parameters of a Continuous-Time Markov Chain from
        Discrete-Time Data
Version: 1.4.2
Date: 2022-05-25
Author: Marius Pfeuffer [aut,cre], Greig Smith [ctb], Goncalo dos Reis [ctb], Linda Moestel [ctb], Matthias Fischer [ctb]
Maintainer: Marius Pfeuffer <marius.pfeuffer@fau.de>
Description: Functions for estimating Markov generator matrices from discrete-time observations. The implemented approaches comprise diagonal adjustment, weighted adjustment and quasi-optimization of matrix logarithm based candidate solutions, an expectation-maximization algorithm as well as a Gibbs sampler.
License: GPL-3
Imports: Rcpp (>= 0.12.17), coda, expm, numDeriv
Suggests: knitr, rmarkdown, R.rsp
LinkingTo: Rcpp, RcppArmadillo
VignetteBuilder: knitr, R.rsp
NeedsCompilation: yes
Packaged: 2022-05-25 20:30:04 UTC; Stefan
Repository: CRAN
Date/Publication: 2022-05-26 14:30:04 UTC

=== debian/changelog ===
r-cran-ctmcd (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 12:04:43 +0530

=== debian/control ===
Source: r-cran-ctmcd
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.17),
               r-cran-coda,
               r-cran-expm,
               r-cran-numderiv,
               r-cran-rcpparmadillo
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd.git
Homepage: https://cran.r-project.org/package=ctmcd
Rules-Requires-Root: no

Package: r-cran-ctmcd
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R estimating the parameters of a continuous-time Markov chain from
 This GNU R package provides estimating the parameters of a continuous-
 time Markov chain from Discrete-Time Data Functions for estimating
 Markov generator matrices from discrete-time observations. The
 implemented approaches comprise diagonal adjustment, weighted adjustment
 and quasi-optimization of matrix logarithm based candidate solutions, an
 expectation-maximization algorithm as well as a Gibbs sampler.

## r-cran-ctmcd 1.4.3+dfsg

=== debian/changelog ===
r-cran-ctmcd (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 09:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.17),
+               r-cran-rcpp,
                r-cran-coda,
                r-cran-expm,
                r-cran-numderiv,
                r-cran-rcpparmadillo
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd.git
 Homepage: https://cran.r-project.org/package=ctmcd

## r-cran-ctmcd 1.4.4+dfsg

=== DESCRIPTION ===
Package: ctmcd
Type: Package
Title: Estimating the Parameters of a Continuous-Time Markov Chain from
        Discrete-Time Data
Version: 1.4.4
Date: 2024-02-07
Authors@R: c(person("Marius", "Pfeuffer", email = "marius.pfeuffer@fau.de", role = c("aut", "cre")),
    person("Greig", "Smith", role = "ctb"),
    person("Goncalo", "dos Reis", role = "ctb"),
    person("Linda", "Moestel", role = "ctb"),
    person("Matthias", "Fischer", role = "ctb"))
Description: Estimation of Markov generator matrices from discrete-time observations. The implemented approaches comprise diagonal and weighted adjustment of matrix logarithm based candidate solutions as in Israel (2001) <doi:10.1111/1467-9965.00114> as well as a quasi-optimization approach. Moreover, the expectation-maximization algorithm and the Gibbs sampling approach of Bladt and Sorensen (2005) <doi:10.1111/j.1467-9868.2005.00508.x> are included.
License: GPL-3
Imports: Rcpp (>= 1.0.12), coda, expm, numDeriv
Suggests: knitr, rmarkdown, R.rsp
LinkingTo: Rcpp, RcppArmadillo
VignetteBuilder: knitr, R.rsp
NeedsCompilation: yes
Packaged: 2024-02-08 18:35:26 UTC; Stefan
Author: Marius Pfeuffer [aut, cre],
  Greig Smith [ctb],
  Goncalo dos Reis [ctb],
  Linda Moestel [ctb],
  Matthias Fischer [ctb]
Maintainer: Marius Pfeuffer <marius.pfeuffer@fau.de>
Repository: CRAN
Date/Publication: 2024-02-09 09:40:02 UTC

=== debian/changelog ===
r-cran-ctmcd (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:50:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: r-cran-ctmcd
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd.git
+Homepage: https://cran.r-project.org/package=ctmcd
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
+               r-cran-rcpp (>= 1.0.12),
                r-cran-coda,
                r-cran-expm,
                r-cran-numderiv,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ctmcd.git
-Homepage: https://cran.r-project.org/package=ctmcd
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ctmcd
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
https://cloud.r-project.org/src/contrib/ctmcd_([-\d.]*)\.tar\.gz
